## python-hypothesis 3.0.1

=== Makefile ===
.PHONY: clean documentation


DEVELOPMENT_DATABASE?=postgres://whereshouldilive@localhost/whereshouldilive_dev
SPHINXBUILD   = $(DEV_PYTHON) -m sphinx
SPHINX_BUILDDIR      = docs/_build
ALLSPHINXOPTS   = -d $(SPHINX_BUILDDIR)/doctrees docs -W

BUILD_RUNTIMES?=$(PWD)/.runtimes

PY26=$(BUILD_RUNTIMES)/snakepit/python2.6
PY27=$(BUILD_RUNTIMES)/snakepit/python2.7
PY33=$(BUILD_RUNTIMES)/snakepit/python3.3
PY34=$(BUILD_RUNTIMES)/snakepit/python3.4
PY35=$(BUILD_RUNTIMES)/snakepit/python3.5
PYPY=$(BUILD_RUNTIMES)/snakepit/pypy

TOOLS=$(BUILD_RUNTIMES)/tools

TOX=$(TOOLS)/tox
SPHINX_BUILD=$(TOOLS)/sphinx-build
SPHINX_AUTOBUILD=$(TOOLS)/sphinx-autobuild
ISORT=$(TOOLS)/isort
FLAKE8=$(TOOLS)/flake8
PYFORMAT=$(TOOLS)/pyformat

TOOL_VIRTUALENV=$(BUILD_RUNTIMES)/virtualenvs/tools
ISORT_VIRTUALENV=$(BUILD_RUNTIMES)/virtualenvs/isort
TOOL_PYTHON=$(TOOL_VIRTUALENV)/bin/python
TOOL_PIP=$(TOOL_VIRTUALENV)/bin/pip
TOOL_INSTALL=$(TOOL_PIP) install --upgrade

export PATH:=$(BUILD_RUNTIMES)/snakepit:$(TOOLS):$(PATH)
export LC_ALL=C.UTF-8

$(PY26):
	scripts/retry.sh scripts/install.sh 2.6

$(PY27):
	scripts/retry.sh scripts/install.sh 2.7

$(PY33):
	scripts/retry.sh scripts/install.sh 3.3

$(PY34):
	scripts/retry.sh scripts/install.sh 3.4

$(PY35):
	scripts/retry.sh scripts/install.sh 3.5

$(PYPY):
	scripts/retry.sh scripts/install.sh pypy

$(TOOL_VIRTUALENV): $(PY34)
	$(PY34) -m virtualenv $(TOOL_VIRTUALENV)
	mkdir -p $(TOOLS)

$(TOOLS): $(TOOL_VIRTUALENV)

$(ISORT_VIRTUALENV): $(PY34)
	$(PY34) -m virtualenv $(ISORT_VIRTUALENV)

format: $(PYFORMAT) $(ISORT)
	$(TOOL_PYTHON) scripts/enforce_header.py
	# isort will sort packages differently depending on whether they're installed
	$(ISORT_VIRTUALENV)/bin/python -m pip install django pytz pytest fake-factory numpy
	env -i PATH=$(PATH) $(ISORT) -p hypothesis -ls -m 2 -w 75 \
			-a  "from __future__ import absolute_import, print_function, division" \
			-rc src tests examples
	find src tests examples -name '*.py' | xargs $(PYFORMAT) -i

lint: $(FLAKE8)
	$(FLAKE8) src tests --exclude=compat.py,test_reflection.py,test_imports.py,tests/py2 --ignore=E731,E721

check-format: format
	find src tests -name "*.py" | xargs $(TOOL_PYTHON) scripts/check_encoding_header.py
	git diff --exit-code

check-py26: $(PY26) $(TOX)
	$(TOX) -e py26-full

check-py27: $(PY27) $(TOX)
	$(TOX) -e py27-full

check-py33: $(PY33) $(TOX)
	$(TOX) -e py33-full

check-py34: $(py34) $(TOX)
	$(TOX) -e py34-full

check-py35: $(PY35) $(TOX)
	$(TOX) -e py35-full

check-pypy: $(PYPY) $(TOX)
	$(TOX) -e pypy-full

check-nose: $(TOX) $(PY35)
	$(TOX) -e nose

check-pytest27: $(TOX) $(PY35)
	$(TOX) -e pytest27

check-pytest26: $(TOX) $(PY35)
	$(TOX) -e pytest26

check-pytest: check-pytest26 check-pytest27

check-fakefactory052: $(TOX) $(PY35)
	$(TOX) -e fakefactory052

check-fakefactory053: $(TOX) $(PY35)
	$(TOX) -e fakefactory053

check-django17: $(TOX) $(PY35)
	$(TOX) -e django17

check-django18: $(TOX) $(PY35)
	$(TOX) -e django18

check-django19: $(TOX) $(PY35)
	$(TOX) -e django19

check-django: check-django17 check-django18 check-django19

check-examples2: $(TOX) $(PY27)
	$(TOX) -e examples2

check-examples3: $(TOX) $(PY35)
	$(TOX) -e examples3

check-coverage: $(TOX) $(PY35)
	$(TOX) -e coverage

check-unicode: $(TOX) $(PY27)
	$(TOX) -e unicode

check-noformat: check-coverage check-py26 check-py27 check-py33 check-py34 check-py35 check-pypy check-django check-pytest

check: check-format check-noformat

check-fast: lint $(PY26) $(PY35) $(PYPY) $(TOX)
	$(TOX) -e pypy-brief
	$(TOX) -e py35-brief
	$(TOX) -e py26-brief
	$(TOX) -e py35-prettyquick

$(TOX): $(PY35) tox.ini $(TOOLS)
	$(TOOL_INSTALL) tox
	rm -f $(TOX)
	rm -rf .tox
	ln -sf $(TOOL_VIRTUALENV)/bin/tox $(TOX)

$(SPHINX_BUILD): $(TOOL_VIRTUALENV)
	$(TOOL_PYTHON) -m pip install sphinx
	ln -sf $(TOOL_VIRTUALENV)/bin/sphinx-build $(SPHINX_BUILD)

$(SPHINX_AUTOBUILD): $(TOOL_VIRTUALENV)
	$(TOOL_PYTHON) -m pip install sphinx-autobuild
	ln -sf $(TOOL_VIRTUALENV)/bin/sphinx-autobuild $(SPHINX_AUTOBUILD)

$(PYFORMAT): $(TOOL_VIRTUALENV)
	$(TOOL_INSTALL) pyformat
	ln -sf $(TOOL_VIRTUALENV)/bin/pyformat $(PYFORMAT)

$(ISORT): $(ISORT_VIRTUALENV)
	$(ISORT_VIRTUALENV)/bin/python -m pip install isort==4.1.0
	ln -sf $(ISORT_VIRTUALENV)/bin/isort $(ISORT)

$(FLAKE8): $(TOOL_VIRTUALENV)
	$(TOOL_INSTALL) flake8
	ln -sf $(TOOL_VIRTUALENV)/bin/flake8 $(FLAKE8)

clean:
	rm -rf .tox
	rm -rf .hypothesis
	rm -rf docs/_build
	rm -rf $(TOOLS)
	rm -rf $(BUILD_RUNTIMES)/snakepit
	rm -rf $(BUILD_RUNTIMES)/virtualenvs
	find src tests -name "*.pyc" -delete
	find src tests -name "__pycache__" -delete

documentation: $(SPHINX_BUILD) docs/*.rst
	$(SPHINX_BUILD) -W -b html -d docs/_build/doctrees docs docs/_build/html

=== debian/changelog ===
python-hypothesis (3.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 18 Feb 2016 15:57:16 +0200

python-hypothesis (3.0.0-1) unstable; urgency=medium

  * Fix watch file to handle alpha version.
  * New upstream release.
    - Add Build-Depends: python-enum34.
  * Switch to https in Vcs-Git.

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 17 Feb 2016 17:44:32 +0200

python-hypothesis (2.0.0-1) unstable; urgency=medium

  * New upstream version.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 23 Jan 2016 04:34:52 +0200

python-hypothesis (1.18.0-1) unstable; urgency=medium

  * New upstream release.
    - Switch to GitHub tarball to pick up the tests.
  * Run the tests at build time (closes: #808039).

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 21 Dec 2015 13:47:28 +0200

python-hypothesis (1.17.0-1) unstable; urgency=medium

  * New upstream release.
    - Change in Python 3 compatibility code (closes: #807988).
  * Add myself to Uploaders.

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 16 Dec 2015 17:12:05 +0200

python-hypothesis (1.16.0-1) unstable; urgency=medium

  * Team upload.

  [ Vincent Bernat ]
  * Ship README.rst.

  [ Stefano Rivera ]
  * Update VCS fields for Git migration.

  [ Tristan Seligmann ]
  * New upstream release.
  * Remove stray egg-info directory.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 11 Dec 2015 16:54:37 +0200

python-hypothesis (1.11.0-1) unstable; urgency=medium

  * Initial release. Closes: #799044.

 -- Vincent Bernat <bernat@debian.org>  Tue, 15 Sep 2015 10:17:24 +0200

=== debian/control ===
Source: python-hypothesis
Section: python
Priority: optional
Maintainer: Vincent Bernat <bernat@debian.org>
Uploaders:
 Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
 Tristan Seligmann <mithrandi@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python-flake8,
 python-flaky,
 python-numpy,
 python-pytest (>= 2.8),
 python-setuptools,
 python-tz,
 python-enum34,
 python3-all,
 python3-flake8,
 python3-flaky,
 python3-numpy,
 python3-pytest (>= 2.8),
 python3-setuptools,
 python3-tz,
Standards-Version: 3.9.6
Homepage: https://github.com/DRMacIver/hypothesis
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-hypothesis.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-hypothesis.git

Package: python-hypothesis
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: advanced Quickcheck style testing library for Python 2
 Hypothesis is a library for testing your Python code against a much
 larger range of examples than you would ever want to write by
 hand. It's based on the Haskell library, Quickcheck, and is designed
 to integrate seamlessly into your existing Python unit testing work
 flow.
 .
 Hypothesis is both extremely practical and also advances the state of
 the art of unit testing by some way. It's easy to use, stable, and
 extremely powerful. If you're not using Hypothesis to test your
 project then you're missing out.
 .
 This package contains the Python 2 module.

Package: python3-hypothesis
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: advanced Quickcheck style testing library for Python 3
 Hypothesis is a library for testing your Python code against a much
 larger range of examples than you would ever want to write by
 hand. It's based on the Haskell library, Quickcheck, and is designed
 to integrate seamlessly into your existing Python unit testing work
 flow.
 .
 Hypothesis is both extremely practical and also advances the state of
 the art of unit testing by some way. It's easy to use, stable, and
 extremely powerful. If you're not using Hypothesis to test your
 project then you're missing out.
 .
 This package contains the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export LC_ALL=C.UTF-8
export PYBUILD_NAME=hypothesis
export PYBUILD_TEST_PYTEST=1
COMMON_TESTS=--assert=plain {dir}/tests/cover {dir}/tests/datetime {dir}/tests/numpy
export PYBUILD_TEST_ARGS_python2=${COMMON_TESTS} {dir}/tests/py2
export PYBUILD_TEST_ARGS_python3=${COMMON_TESTS} {dir}/tests/py3

%:
	dh $@ --with python2,python3 --buildsystem=pybuild


override_dh_python3:
	dh_python3
	rm -rf debian/python3-hypothesis/usr/lib/python3.?

## python-hypothesis 3.4.0

=== debian/changelog ===
python-hypothesis (3.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 25 Jun 2016 02:00:45 +0200

python-hypothesis (3.1.3-3) unstable; urgency=medium

  * Install python3-sphinx-rtd-theme instead of python-sphinx-rtd-theme
    (closes: #827588, hopefully).

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 23 Jun 2016 19:23:22 +0200

python-hypothesis (3.1.3-2) unstable; urgency=medium

  * Add python-hypothesis-doc to Suggests.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 15 May 2016 23:28:36 +0200

python-hypothesis (3.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8 (no changes).
  * Disable build-time test suite; running the tests takes a long time,
    and is a little flaky, but hardly anything tested by them is
    Debian-specific, so upstream would have already caught a bad release.
    The DEP 8 tests are left, however.
  * Swap team over to Maintainer.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 15 May 2016 02:43:24 +0200

python-hypothesis (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Build python-hypothesis-doc package with documentation.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 06 Mar 2016 23:40:36 +0200

python-hypothesis (3.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Add autopkgtest.
  * Bump Standards-Version to 3.9.7 (no changes).
  * Add missing dependency on python-enum34; the platform marker obscures
    it from being detected automatically.

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 23 Feb 2016 14:48:26 +0200

python-hypothesis (3.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 18 Feb 2016 22:05:58 +0200

## python-hypothesis 3.4.2

=== Makefile ===
--- 
+++ 
@@ -6,10 +6,13 @@
 SPHINX_BUILDDIR      = docs/_build
 ALLSPHINXOPTS   = -d $(SPHINX_BUILDDIR)/doctrees docs -W
 
-BUILD_RUNTIMES?=$(PWD)/.runtimes
+export BUILD_RUNTIMES?=$(HOME)/.cache/hypothesis-build-runtimes
+export TOX_WORK_DIR=$(BUILD_RUNTIMES)/.tox
+export COVERAGE_FILE=$(BUILD_RUNTIMES)/.coverage
 
 PY26=$(BUILD_RUNTIMES)/snakepit/python2.6
 PY27=$(BUILD_RUNTIMES)/snakepit/python2.7
+PY273=$(BUILD_RUNTIMES)/snakepit/python2.7.3
 PY33=$(BUILD_RUNTIMES)/snakepit/python3.3
 PY34=$(BUILD_RUNTIMES)/snakepit/python3.4
 PY35=$(BUILD_RUNTIMES)/snakepit/python3.5
@@ -24,6 +27,7 @@
 FLAKE8=$(TOOLS)/flake8
 PYFORMAT=$(TOOLS)/pyformat
 
+BROKEN_VIRTUALENV=$(BUILD_RUNTIMES)/virtualenvs/broken
 TOOL_VIRTUALENV=$(BUILD_RUNTIMES)/virtualenvs/tools
 ISORT_VIRTUALENV=$(BUILD_RUNTIMES)/virtualenvs/isort
 TOOL_PYTHON=$(TOOL_VIRTUALENV)/bin/python
@@ -31,13 +35,16 @@
 TOOL_INSTALL=$(TOOL_PIP) install --upgrade
 
 export PATH:=$(BUILD_RUNTIMES)/snakepit:$(TOOLS):$(PATH)
-export LC_ALL=C.UTF-8
+export LC_ALL=en_US.UTF-8
 
 $(PY26):
 	scripts/retry.sh scripts/install.sh 2.6
 
 $(PY27):
 	scripts/retry.sh scripts/install.sh 2.7
+
+$(PY273):
+	scripts/retry.sh scripts/install.sh 2.7.3
 
 $(PY33):
 	scripts/retry.sh scripts/install.sh 3.3
@@ -57,17 +64,20 @@
 
 $(TOOLS): $(TOOL_VIRTUALENV)
 
+install-tools: $(TOOLS)
+
 $(ISORT_VIRTUALENV): $(PY34)
 	$(PY34) -m virtualenv $(ISORT_VIRTUALENV)
 
 format: $(PYFORMAT) $(ISORT)
 	$(TOOL_PYTHON) scripts/enforce_header.py
 	# isort will sort packages differently depending on whether they're installed
-	$(ISORT_VIRTUALENV)/bin/python -m pip install django pytz pytest fake-factory numpy
-	env -i PATH=$(PATH) $(ISORT) -p hypothesis -ls -m 2 -w 75 \
+	$(ISORT_VIRTUALENV)/bin/python -m pip install django pytz pytest fake-factory numpy flaky
+	find src tests hypothesislegacysupport examples -name '*.py' | xargs  env -i \
+            PATH="$(PATH)" $(ISORT) -p hypothesis -ls -m 2 -w 75 \
 			-a  "from __future__ import absolute_import, print_function, division" \
-			-rc src tests examples
-	find src tests examples -name '*.py' | xargs $(PYFORMAT) -i
+			-rc src tests examples hypothesislegacysupport/src
+	find src tests hypothesislegacysupport examples -name '*.py' | xargs $(PYFORMAT) -i
 
 lint: $(FLAKE8)
 	$(FLAKE8) src tests --exclude=compat.py,test_reflection.py,test_imports.py,tests/py2 --ignore=E731,E721
@@ -82,6 +92,9 @@
 check-py27: $(PY27) $(TOX)
 	$(TOX) -e py27-full
 
+check-py273: $(PY273) $(TOX)
+	$(TOX) -e oldpy27
+
 check-py33: $(PY33) $(TOX)
 	$(TOX) -e py33-full
 
@@ -102,6 +115,10 @@
 
 check-pytest26: $(TOX) $(PY35)
 	$(TOX) -e pytest26
+
+check-ancient-pip: $(PY273)
+	scripts/check-ancient-pip.sh $(PY273)
+	
 
 check-pytest: check-pytest26 check-pytest27
 
@@ -145,13 +162,13 @@
 	$(TOX) -e py35-prettyquick
 
 $(TOX): $(PY35) tox.ini $(TOOLS)
+	rm -f $(TOX)
 	$(TOOL_INSTALL) tox
-	rm -f $(TOX)
-	rm -rf .tox
 	ln -sf $(TOOL_VIRTUALENV)/bin/tox $(TOX)
+	touch $(TOOL_VIRTUALENV)/bin/tox $(TOX)
 
 $(SPHINX_BUILD): $(TOOL_VIRTUALENV)
-	$(TOOL_PYTHON) -m pip install sphinx
+	$(TOOL_PYTHON) -m pip install sphinx sphinx-rtd-theme
 	ln -sf $(TOOL_VIRTUALENV)/bin/sphinx-build $(SPHINX_BUILD)
 
 $(SPHINX_AUTOBUILD): $(TOOL_VIRTUALENV)

=== debian/changelog ===
python-hypothesis (3.4.2-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * dont build the pypy package

 -- Sandro Tosi <morph@debian.org>  Mon, 24 Oct 2016 16:23:15 -0400

python-hypothesis (3.4.2-2) unstable; urgency=medium

  [ Julian Taylor ]
  * add pypy-hypothesis package

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 27 Aug 2016 18:04:12 +0200

python-hypothesis (3.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 16 Jul 2016 17:29:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,29 @@
 Source: python-hypothesis
 Section: python
 Priority: optional
-Maintainer: Vincent Bernat <bernat@debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
  Tristan Seligmann <mithrandi@debian.org>,
+ Vincent Bernat <bernat@debian.org>,
 Build-Depends:
  debhelper (>= 9),
  dh-python,
  python-all,
- python-flake8,
- python-flaky,
- python-numpy,
- python-pytest (>= 2.8),
+ python-enum34,
  python-setuptools,
- python-tz,
- python-enum34,
  python3-all,
- python3-flake8,
- python3-flaky,
- python3-numpy,
- python3-pytest (>= 2.8),
  python3-setuptools,
- python3-tz,
-Standards-Version: 3.9.6
+ python3-sphinx,
+ python3-sphinx-rtd-theme,
+Standards-Version: 3.9.8
 Homepage: https://github.com/DRMacIver/hypothesis
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-hypothesis.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-hypothesis.git
 
 Package: python-hypothesis
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: python-enum34, ${misc:Depends}, ${python:Depends}
+Suggests: python-hypothesis-doc
 Description: advanced Quickcheck style testing library for Python 2
  Hypothesis is a library for testing your Python code against a much
  larger range of examples than you would ever want to write by
@@ -47,7 +40,8 @@
 
 Package: python3-hypothesis
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Suggests: python-hypothesis-doc
 Description: advanced Quickcheck style testing library for Python 3
  Hypothesis is a library for testing your Python code against a much
  larger range of examples than you would ever want to write by
@@ -61,3 +55,22 @@
  project then you're missing out.
  .
  This package contains the Python 3 module.
+
+Package: python-hypothesis-doc
+Architecture: all
+Section: doc
+Priority: extra
+Depends: ${misc:Depends}, ${python3:Depends}
+Description: advanced Quickcheck style testing library (documentation)
+ Hypothesis is a library for testing your Python code against a much
+ larger range of examples than you would ever want to write by
+ hand. It's based on the Haskell library, Quickcheck, and is designed
+ to integrate seamlessly into your existing Python unit testing work
+ flow.
+ .
+ Hypothesis is both extremely practical and also advances the state of
+ the art of unit testing by some way. It's easy to use, stable, and
+ extremely powerful. If you're not using Hypothesis to test your
+ project then you're missing out.
+ .
+ This package contains the documentation for Hypothesis.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export LC_ALL=C.UTF-8
export PYBUILD_NAME=hypothesis

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild


override_dh_python3:
	dh_python3
	rm -rf debian/python3-hypothesis/usr/lib/python3.?

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. \
	    http_proxy='127.0.0.1:9' \
	    https_proxy='127.0.0.1:9' \
	    sphinx-build -N -b html docs/ $(CURDIR)/.pybuild/docs/html/

override_dh_auto_test:

## python-hypothesis 3.6.0

=== debian/changelog ===
python-hypothesis (3.6.0-1~nd16.10+1) yakkety; urgency=medium

  * Backported for yakkety.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 08 Dec 2016 13:37:13 -0500

python-hypothesis (3.6.0-1) unstable; urgency=medium

  * The copyright of tests/cover/test_pretty.py is now documented
    correctly.
  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 07 Nov 2016 19:48:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: python-hypothesis
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
  Tristan Seligmann <mithrandi@debian.org>,
  Vincent Bernat <bernat@debian.org>,
 Build-Depends:
  debhelper (>= 9),
  dh-python,
+ pypy,
+ pypy-setuptools,
  python-all,
  python-enum34,
  python-setuptools,
@@ -22,7 +25,7 @@
 
 Package: python-hypothesis
 Architecture: all
-Depends: python-enum34, ${misc:Depends}, ${python:Depends}
+Depends: neurodebian-popularity-contest, python-enum34, ${misc:Depends}, ${python:Depends}
 Suggests: python-hypothesis-doc
 Description: advanced Quickcheck style testing library for Python 2
  Hypothesis is a library for testing your Python code against a much
@@ -40,7 +43,7 @@
 
 Package: python3-hypothesis
 Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${sphinxdoc:Depends}
 Suggests: python-hypothesis-doc
 Description: advanced Quickcheck style testing library for Python 3
  Hypothesis is a library for testing your Python code against a much
@@ -56,11 +59,29 @@
  .
  This package contains the Python 3 module.
 
+Package: pypy-hypothesis
+Architecture: all
+Depends: neurodebian-popularity-contest, pypy-enum34, ${misc:Depends}, ${pypy:Depends}
+Suggests: python-hypothesis-doc
+Description: advanced Quickcheck style testing library for PyPy
+ Hypothesis is a library for testing your Python code against a much
+ larger range of examples than you would ever want to write by
+ hand. It's based on the Haskell library, Quickcheck, and is designed
+ to integrate seamlessly into your existing Python unit testing work
+ flow.
+ .
+ Hypothesis is both extremely practical and also advances the state of
+ the art of unit testing by some way. It's easy to use, stable, and
+ extremely powerful. If you're not using Hypothesis to test your
+ project then you're missing out.
+ .
+ This package contains the PyPy module.
+
 Package: python-hypothesis-doc
 Architecture: all
 Section: doc
 Priority: extra
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python3:Depends}
 Description: advanced Quickcheck style testing library (documentation)
  Hypothesis is a library for testing your Python code against a much
  larger range of examples than you would ever want to write by

## python-hypothesis 3.6.1

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,6 @@
 export TOX_WORK_DIR=$(BUILD_RUNTIMES)/.tox
 export COVERAGE_FILE=$(BUILD_RUNTIMES)/.coverage
 
-PY26=$(BUILD_RUNTIMES)/snakepit/python2.6
 PY27=$(BUILD_RUNTIMES)/snakepit/python2.7
 PY273=$(BUILD_RUNTIMES)/snakepit/python2.7.3
 PY33=$(BUILD_RUNTIMES)/snakepit/python3.3
@@ -37,9 +36,6 @@
 export PATH:=$(BUILD_RUNTIMES)/snakepit:$(TOOLS):$(PATH)
 export LC_ALL=en_US.UTF-8
 
-$(PY26):
-	scripts/retry.sh scripts/install.sh 2.6
-
 $(PY27):
 	scripts/retry.sh scripts/install.sh 2.7
 
@@ -73,11 +69,11 @@
 	$(TOOL_PYTHON) scripts/enforce_header.py
 	# isort will sort packages differently depending on whether they're installed
 	$(ISORT_VIRTUALENV)/bin/python -m pip install django pytz pytest fake-factory numpy flaky
-	find src tests hypothesislegacysupport examples -name '*.py' | xargs  env -i \
+	find src tests examples -name '*.py' | xargs  env -i \
             PATH="$(PATH)" $(ISORT) -p hypothesis -ls -m 2 -w 75 \
 			-a  "from __future__ import absolute_import, print_function, division" \
-			-rc src tests examples hypothesislegacysupport/src
-	find src tests hypothesislegacysupport examples -name '*.py' | xargs $(PYFORMAT) -i
+			-rc src tests examples
+	find src tests examples -name '*.py' | xargs $(PYFORMAT) -i
 
 lint: $(FLAKE8)
 	$(FLAKE8) src tests --exclude=compat.py,test_reflection.py,test_imports.py,tests/py2 --ignore=E731,E721
@@ -86,9 +82,6 @@
 	find src tests -name "*.py" | xargs $(TOOL_PYTHON) scripts/check_encoding_header.py
 	git diff --exit-code
 
-check-py26: $(PY26) $(TOX)
-	$(TOX) -e py26-full
-
 check-py27: $(PY27) $(TOX)
 	$(TOX) -e py27-full
 
@@ -109,6 +102,12 @@
 
 check-nose: $(TOX) $(PY35)
 	$(TOX) -e nose
+
+check-pytest30: $(TOX) $(PY35)
+	$(TOX) -e pytest30
+
+check-pytest28: $(TOX) $(PY35)
+	$(TOX) -e pytest28
 
 check-pytest27: $(TOX) $(PY35)
 	$(TOX) -e pytest27
@@ -122,6 +121,9 @@
 
 check-pytest: check-pytest26 check-pytest27
 
+check-fakefactory060: $(TOX) $(PY35)
+	$(TOX) -e fakefactory060
+
 check-fakefactory052: $(TOX) $(PY35)
 	$(TOX) -e fakefactory052
 
@@ -155,7 +157,7 @@
 
 check: check-format check-noformat
 
-check-fast: lint $(PY26) $(PY35) $(PYPY) $(TOX)
+check-fast: lint $(PY35) $(PYPY) $(TOX)
 	$(TOX) -e pypy-brief
 	$(TOX) -e py35-brief
 	$(TOX) -e py26-brief
@@ -169,6 +171,7 @@
 
 $(SPHINX_BUILD): $(TOOL_VIRTUALENV)
 	$(TOOL_PYTHON) -m pip install sphinx sphinx-rtd-theme
+	$(TOOL_PYTHON) -m pip install -e .
 	ln -sf $(TOOL_VIRTUALENV)/bin/sphinx-build $(SPHINX_BUILD)
 
 $(SPHINX_AUTOBUILD): $(TOOL_VIRTUALENV)

=== debian/changelog ===
python-hypothesis (3.6.1-1ubuntu7~cloud0) xenial-ocata; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 06 Feb 2017 10:54:48 +0000

python-hypothesis (3.6.1-1ubuntu7) zesty; urgency=medium

  * Skip test_minimize_list_of_floats_on_large_structure
    with Python 2.7 on i386

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 06 Feb 2017 12:11:15 +0200

python-hypothesis (3.6.1-1ubuntu6) zesty; urgency=medium

  * Enable all tests again now that package has been marked 'huge'

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Jan 2017 08:32:37 +0200

python-hypothesis (3.6.1-1ubuntu5) zesty; urgency=medium

  * Import pytest and PY3 in test_recursive.py

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 24 Jan 2017 16:43:43 +0200

python-hypothesis (3.6.1-1ubuntu4) zesty; urgency=medium

  * Skip test_can_flatmap_to_recursive_data which fails
    with Python 2.7 on ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 24 Jan 2017 13:49:30 +0200

python-hypothesis (3.6.1-1ubuntu3) zesty; urgency=medium

  * Skip test_constant_lists_of_diverse_length which now fails
    with Python 2.7 on ppc64el and s390x

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 23 Jan 2017 21:56:01 +0200

python-hypothesis (3.6.1-1ubuntu2) zesty; urgency=medium

  * Skip test_minimize_list_of_floats_on_large_structure
    with Python 2.7

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 20 Jan 2017 12:53:19 +0200

python-hypothesis (3.6.1-1ubuntu1) zesty; urgency=medium

  * Mark test_minimize_list_of_floats_on_large_structure
    which fails with Python 2.7 on i386 as flaky
  * Revert 'correct probability to more accurate value' for
    test_can_produce_long_lists_of_negative_integers
    which fails with Python 2.7 on ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 02 Jan 2017 10:11:02 +0200

python-hypothesis (3.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 26 Dec 2016 14:45:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: python-hypothesis
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
  Tristan Seligmann <mithrandi@debian.org>,
  Vincent Bernat <bernat@debian.org>,
@@ -25,7 +25,7 @@
 
 Package: python-hypothesis
 Architecture: all
-Depends: neurodebian-popularity-contest, python-enum34, ${misc:Depends}, ${python:Depends}
+Depends: python-enum34, ${misc:Depends}, ${python:Depends}
 Suggests: python-hypothesis-doc
 Description: advanced Quickcheck style testing library for Python 2
  Hypothesis is a library for testing your Python code against a much
@@ -43,7 +43,7 @@
 
 Package: python3-hypothesis
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Suggests: python-hypothesis-doc
 Description: advanced Quickcheck style testing library for Python 3
  Hypothesis is a library for testing your Python code against a much
@@ -61,7 +61,7 @@
 
 Package: pypy-hypothesis
 Architecture: all
-Depends: neurodebian-popularity-contest, pypy-enum34, ${misc:Depends}, ${pypy:Depends}
+Depends: pypy-enum34, ${misc:Depends}, ${pypy:Depends}
 Suggests: python-hypothesis-doc
 Description: advanced Quickcheck style testing library for PyPy
  Hypothesis is a library for testing your Python code against a much
@@ -81,7 +81,7 @@
 Architecture: all
 Section: doc
 Priority: extra
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}
 Description: advanced Quickcheck style testing library (documentation)
  Hypothesis is a library for testing your Python code against a much
  larger range of examples than you would ever want to write by

=== debian/tests/control ===
Test-Command: for p in $(pyversions -s); do $p -m pytest --assert=plain tests/cover tests/nocover tests/datetime tests/numpy tests/py2; done
Depends:
 python-all,
 python-flaky,
 python-hypothesis,
 python-numpy,
 python-pytest,
 python-tz,

Test-Command: for p in $(py3versions -s); do $p -m pytest --assert=plain tests/cover tests/nocover tests/datetime tests/numpy tests/py3; done
Depends:
 python3-all,
 python3-flaky,
 python3-hypothesis,
 python3-numpy,
 python3-pytest,
 python3-tz,

## python-hypothesis 3.12.0

=== Makefile ===
.PHONY: clean documentation


DEVELOPMENT_DATABASE?=postgres://whereshouldilive@localhost/whereshouldilive_dev
SPHINXBUILD   = $(DEV_PYTHON) -m sphinx
SPHINX_BUILDDIR      = docs/_build
ALLSPHINXOPTS   = -d $(SPHINX_BUILDDIR)/doctrees docs -W

export BUILD_RUNTIMES?=$(HOME)/.cache/hypothesis-build-runtimes
export TOX_WORK_DIR=$(BUILD_RUNTIMES)/.tox
export COVERAGE_FILE=$(BUILD_RUNTIMES)/.coverage

PY27=$(BUILD_RUNTIMES)/snakepit/python2.7
PY273=$(BUILD_RUNTIMES)/snakepit/python2.7.3
PY33=$(BUILD_RUNTIMES)/snakepit/python3.3
PY34=$(BUILD_RUNTIMES)/snakepit/python3.4
PY35=$(BUILD_RUNTIMES)/snakepit/python3.5
PY36=$(BUILD_RUNTIMES)/snakepit/python3.6
PYPY=$(BUILD_RUNTIMES)/snakepit/pypy

BEST_PY3=$(PY36)

TOOLS=$(BUILD_RUNTIMES)/tools

TOX=$(TOOLS)/tox
SPHINX_BUILD=$(TOOLS)/sphinx-build
ISORT=$(TOOLS)/isort
FLAKE8=$(TOOLS)/flake8
PYFORMAT=$(TOOLS)/pyformat
RSTLINT=$(TOOLS)/rst-lint
PIPCOMPILE=$(TOOLS)/pip-compile

TOOL_VIRTUALENV:=$(BUILD_RUNTIMES)/virtualenvs/tools-$(shell scripts/tool-hash.py tools)

TOOL_PYTHON=$(TOOL_VIRTUALENV)/bin/python
TOOL_PIP=$(TOOL_VIRTUALENV)/bin/pip

BENCHMARK_VIRTUALENV:=$(BUILD_RUNTIMES)/virtualenvs/benchmark-$(shell scripts/tool-hash.py benchmark)
BENCHMARK_PYTHON=$(BENCHMARK_VIRTUALENV)/bin/python

FILES_TO_FORMAT=$(BEST_PY3) scripts/files-to-format.py


export PATH:=$(BUILD_RUNTIMES)/snakepit:$(TOOLS):$(PATH)
export LC_ALL=en_US.UTF-8

$(PY27):
	scripts/retry.sh scripts/install.sh 2.7

$(PY273):
	scripts/retry.sh scripts/install.sh 2.7.3

$(PY33):
	scripts/retry.sh scripts/install.sh 3.3

$(PY34):
	scripts/retry.sh scripts/install.sh 3.4

$(PY35):
	scripts/retry.sh scripts/install.sh 3.5

$(PY36):
	scripts/retry.sh scripts/install.sh 3.6


$(PYPY):
	scripts/retry.sh scripts/install.sh pypy

$(TOOL_VIRTUALENV): $(BEST_PY3)
	rm -rf $(BUILD_RUNTIMES)/virtualenvs/tools-*
	$(BEST_PY3) -m virtualenv $(TOOL_VIRTUALENV)
	$(TOOL_PIP) install -r requirements/tools.txt

$(BENCHMARK_VIRTUALENV): $(BEST_PY3)
	rm -rf $(BUILD_RUNTIMES)/virtualenvs/benchmark-*
	$(BEST_PY3) -m virtualenv $(BENCHMARK_VIRTUALENV)
	$(BENCHMARK_PYTHON) -m pip install -r requirements/benchmark.txt

$(TOOLS): $(TOOL_VIRTUALENV)
	mkdir -p $(TOOLS)

install-tools: $(TOOLS)

format: $(PYFORMAT) $(ISORT)
	$(FILES_TO_FORMAT) | xargs $(TOOL_PYTHON) scripts/enforce_header.py
	# isort will sort packages differently depending on whether they're installed
	$(FILES_TO_FORMAT) | xargs env -i PATH="$(PATH)" $(ISORT) -p hypothesis -ls -m 2 -w 75 \
			-a "from __future__ import absolute_import, print_function, division" \
			-rc src tests examples
	$(FILES_TO_FORMAT) | xargs $(PYFORMAT) -i

lint: $(FLAKE8)
	$(FLAKE8) src tests --exclude=compat.py,test_reflection.py,test_imports.py,tests/py2,test_lambda_formatting.py --ignore=E731,E721

check-untagged: $(BEST_PY3)
	$(BEST_PY3) scripts/check-untagged.py

check-changelog: $(BEST_PY3)
	$(BEST_PY3) scripts/check-changelog.py

deploy: $(TOOL_VIRTUALENV)
	$(TOOL_PYTHON) scripts/deploy.py

check-format: format
	find src tests -name "*.py" | xargs $(TOOL_PYTHON) scripts/check_encoding_header.py
	git diff --exit-code

install-core: $(PY27) $(PYPY) $(BEST_PY3) $(TOX)

STACK=$(HOME)/.local/bin/stack
GHC=$(HOME)/.local/bin/ghc
SHELLCHECK=$(HOME)/.local/bin/shellcheck

$(STACK):
	mkdir -p ~/.local/bin
	curl -L https://www.stackage.org/stack/linux-x86_64 | tar xz --wildcards --strip-components=1 -C $(HOME)/.local/bin '*/stack'

$(GHC): $(STACK)
	$(STACK) setup

$(SHELLCHECK): $(GHC)
	$(STACK) install ShellCheck

check-shellcheck: $(SHELLCHECK)
	shellcheck scripts/*.sh

check-py27: $(PY27) $(TOX)
	$(TOX) -e py27-full

check-py273: $(PY273) $(TOX)
	$(TOX) -e oldpy27

check-py33: $(PY33) $(TOX)
	$(TOX) -e py33-full

check-py34: $(PY34) $(TOX)
	$(TOX) -e py34-full

check-py35: $(PY35) $(TOX)
	$(TOX) -e py35-full

check-py36: $(BEST_PY3) $(TOX)
	$(TOX) -e py36-full

check-pypy: $(PYPY) $(TOX)
	$(TOX) -e pypy-full

check-nose: $(TOX)
	$(TOX) -e nose

check-pytest30: $(TOX)
	$(TOX) -e pytest30

check-pytest28: $(TOX)
	$(TOX) -e pytest28

check-quality: $(TOX)
	$(TOX) -e quality

check-ancient-pip: $(PY273)
	scripts/check-ancient-pip.sh $(PY273)


check-pytest: check-pytest28 check-pytest30

check-faker070: $(TOX)
	$(TOX) -e faker070

check-faker071: $(TOX)
	$(TOX) -e faker071

check-django18: $(TOX)
	$(TOX) -e django18

check-django110: $(TOX)
	$(TOX) -e django110

check-django111: $(TOX)
	$(TOX) -e django111

check-django: check-django18 check-django110 check-django111

check-examples2: $(TOX) $(PY27)
	$(TOX) -e examples2

check-examples3: $(TOX)
	$(TOX) -e examples3

check-coverage: $(TOX)
	$(TOX) -e coverage

check-unicode: $(TOX) $(PY27)
	$(TOX) -e unicode

check-noformat: check-coverage check-py26 check-py27 check-py33 check-py34 check-py35 check-pypy check-django check-pytest

check: check-format check-noformat

check-fast: lint $(PYPY) $(PY36) $(TOX)
	$(TOX) -e pypy-brief
	$(TOX) -e py36-prettyquick

check-rst: $(RSTLINT) $(FLAKE8)
	$(RSTLINT) *.rst
	$(RSTLINT) guides/*.rst
	$(FLAKE8) --select=W191,W291,W292,W293,W391 *.rst docs/*.rst

compile-requirements: $(PIPCOMPILE)
	$(PIPCOMPILE) requirements/benchmark.in --output-file requirements/benchmark.txt
	$(PIPCOMPILE) requirements/test.in --output-file requirements/test.txt
	$(PIPCOMPILE) requirements/tools.in --output-file requirements/tools.txt

check-requirements: compile-requirements
	git diff --exit-code

secret.tar.enc: deploy_key .pypirc
	rm -f secrets.tar secrets.tar.enc
	tar -cf secrets.tar deploy_key .pypirc
	travis encrypt-file secrets.tar
	rm secrets.tar

check-benchmark: $(BENCHMARK_VIRTUALENV)
	PYTHONPATH=src $(BENCHMARK_PYTHON) scripts/benchmarks.py --check --nruns=100

build-new-benchmark-data: $(BENCHMARK_VIRTUALENV)
	PYTHONPATH=src $(BENCHMARK_PYTHON) scripts/benchmarks.py --skip-existing --nruns=1000

update-improved-benchmark-data: $(BENCHMARK_VIRTUALENV)
	PYTHONPATH=src $(BENCHMARK_PYTHON) scripts/benchmarks.py --update=improved --nruns=1000

update-all-benchmark-data: $(BENCHMARK_VIRTUALENV)
	PYTHONPATH=src $(BENCHMARK_PYTHON) scripts/benchmarks.py --update=all --nruns=1000

update-benchmark-headers: $(BENCHMARK_VIRTUALENV)
	PYTHONPATH=src $(BENCHMARK_PYTHON) scripts/benchmarks.py --only-update-headers

$(TOX): $(BEST_PY3) tox.ini $(TOOLS)
	rm -f $(TOX)
	ln -sf $(TOOL_VIRTUALENV)/bin/tox $(TOX)
	touch $(TOOL_VIRTUALENV)/bin/tox $(TOX)

$(SPHINX_BUILD): $(TOOLS)
	ln -sf $(TOOL_VIRTUALENV)/bin/sphinx-build $(SPHINX_BUILD)

$(PYFORMAT): $(TOOLS)
	ln -sf $(TOOL_VIRTUALENV)/bin/pyformat $(PYFORMAT)

$(ISORT): $(TOOLS)
	ln -sf $(TOOL_VIRTUALENV)/bin/isort $(ISORT)

$(RSTLINT): $(TOOLS)
	ln -sf $(TOOL_VIRTUALENV)/bin/rst-lint $(RSTLINT)

$(FLAKE8): $(TOOLS)
	ln -sf $(TOOL_VIRTUALENV)/bin/flake8 $(FLAKE8)

$(PIPCOMPILE): $(TOOLS)
	ln -sf $(TOOL_VIRTUALENV)/bin/pip-compile $(PIPCOMPILE)


clean:
	rm -rf .tox
	rm -rf .hypothesis
	rm -rf docs/_build
	rm -rf $(TOOLS)
	rm -rf $(BUILD_RUNTIMES)/snakepit
	rm -rf $(BUILD_RUNTIMES)/virtualenvs
	find src tests -name "*.pyc" -delete
	find src tests -name "__pycache__" -delete

documentation: $(SPHINX_BUILD) docs/*.rst
	PYTHONPATH=src $(SPHINX_BUILD) -W -b html -d docs/_build/doctrees docs docs/_build/html

doctest: $(SPHINX_BUILD) docs/*.rst
	PYTHONPATH=src $(SPHINX_BUILD) -W -b doctest -d docs/_build/doctrees docs docs/_build/html

=== debian/changelog ===
python-hypothesis (3.12.0-2~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 10 Jul 2017 11:44:24 +0000

python-hypothesis (3.12.0-2) unstable; urgency=medium

  * Avoid loading py.test configuration from tox.ini (fixes autopkgtest
    failures).

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 08 Jul 2017 13:58:47 +0200

python-hypothesis (3.12.0-1) unstable; urgency=medium

  * New upstream release.
    - Tweak docs/conf.py to fix building docs when Hypothesis is not
      installed.
  * Fix permuted python3-hypothesis and python-hypothesis-doc Depends
    stanzas (closes: #867435).
  * Bump Standards-Version to 4.0.0 (no changes).

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 07 Jul 2017 14:39:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-hypothesis
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
  Tristan Seligmann <mithrandi@debian.org>,
  Vincent Bernat <bernat@debian.org>,
@@ -18,7 +17,7 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/DRMacIver/hypothesis
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-hypothesis.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-hypothesis.git
@@ -43,7 +42,7 @@
 
 Package: python3-hypothesis
 Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}
 Suggests: python-hypothesis-doc
 Description: advanced Quickcheck style testing library for Python 3
  Hypothesis is a library for testing your Python code against a much
@@ -81,7 +80,7 @@
 Architecture: all
 Section: doc
 Priority: extra
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: advanced Quickcheck style testing library (documentation)
  Hypothesis is a library for testing your Python code against a much
  larger range of examples than you would ever want to write by

=== debian/tests/control ===
Test-Command: for p in $(pyversions -s); do $p -m pytest -c /dev/null --assert=plain tests/cover tests/nocover tests/datetime tests/numpy tests/py2; done
Depends:
 python-all,
 python-flaky,
 python-hypothesis,
 python-numpy,
 python-pytest,
 python-tz,

Test-Command: for p in $(py3versions -s); do $p -m pytest -c /dev/null --assert=plain tests/cover tests/nocover tests/datetime tests/numpy tests/py3; done
Depends:
 python3-all,
 python3-flaky,
 python3-hypothesis,
 python3-numpy,
 python3-pytest,
 python3-tz,

## python-hypothesis 3.44.1

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,6 @@
 
 PY27=$(BUILD_RUNTIMES)/snakepit/python2.7
 PY273=$(BUILD_RUNTIMES)/snakepit/python2.7.3
-PY33=$(BUILD_RUNTIMES)/snakepit/python3.3
 PY34=$(BUILD_RUNTIMES)/snakepit/python3.4
 PY35=$(BUILD_RUNTIMES)/snakepit/python3.5
 PY36=$(BUILD_RUNTIMES)/snakepit/python3.6
@@ -50,9 +49,6 @@
 $(PY273):
 	scripts/retry.sh scripts/install.sh 2.7.3
 
-$(PY33):
-	scripts/retry.sh scripts/install.sh 3.3
-
 $(PY34):
 	scripts/retry.sh scripts/install.sh 3.4
 
@@ -67,7 +63,6 @@
 	scripts/retry.sh scripts/install.sh pypy
 
 $(TOOL_VIRTUALENV): $(BEST_PY3)
-	rm -rf $(BUILD_RUNTIMES)/virtualenvs/tools-*
 	$(BEST_PY3) -m virtualenv $(TOOL_VIRTUALENV)
 	$(TOOL_PIP) install -r requirements/tools.txt
 
@@ -90,13 +85,14 @@
 	$(FILES_TO_FORMAT) | xargs $(PYFORMAT) -i
 
 lint: $(FLAKE8)
-	$(FLAKE8) src tests --exclude=compat.py,test_reflection.py,test_imports.py,tests/py2,test_lambda_formatting.py --ignore=E731,E721
-
-check-untagged: $(BEST_PY3)
-	$(BEST_PY3) scripts/check-untagged.py
-
-check-changelog: $(BEST_PY3)
-	$(BEST_PY3) scripts/check-changelog.py
+	$(FLAKE8) src tests --exclude=compat.py,test_reflection.py,test_imports.py,tests/py2,test_lambda_formatting.py
+
+
+check-pyup-yml: $(TOOL_VIRTUALENV)
+	$(TOOL_PYTHON) scripts/validate_pyup.py
+
+check-release-file: $(BEST_PY3)
+	$(BEST_PY3) scripts/check-release-file.py
 
 deploy: $(TOOL_VIRTUALENV)
 	$(TOOL_PYTHON) scripts/deploy.py
@@ -125,37 +121,40 @@
 	shellcheck scripts/*.sh
 
 check-py27: $(PY27) $(TOX)
-	$(TOX) -e py27-full
+	$(TOX) --recreate -e py27-full
 
 check-py273: $(PY273) $(TOX)
-	$(TOX) -e oldpy27
-
-check-py33: $(PY33) $(TOX)
-	$(TOX) -e py33-full
+	$(TOX) --recreate -e oldpy27
+
+check-py27-typing: $(PY27) $(TOX)
+	$(TOX) --recreate -e py27typing
 
 check-py34: $(PY34) $(TOX)
-	$(TOX) -e py34-full
+	$(TOX) --recreate -e py34-full
 
 check-py35: $(PY35) $(TOX)
-	$(TOX) -e py35-full
+	$(TOX) --recreate -e py35-full
 
 check-py36: $(BEST_PY3) $(TOX)
-	$(TOX) -e py36-full
+	$(TOX) --recreate -e py36-full
 
 check-pypy: $(PYPY) $(TOX)
-	$(TOX) -e pypy-full
+	$(TOX) --recreate -e pypy-full
+
+check-pypy-with-tracer: $(PYPY) $(TOX)
+	$(TOX) --recreate -e pypy-with-tracer
 
 check-nose: $(TOX)
-	$(TOX) -e nose
+	$(TOX) --recreate -e nose
 
 check-pytest30: $(TOX)
-	$(TOX) -e pytest30
+	$(TOX) --recreate -e pytest30
 
 check-pytest28: $(TOX)
-	$(TOX) -e pytest28
+	$(TOX) --recreate -e pytest28
 
 check-quality: $(TOX)
-	$(TOX) -e quality
+	$(TOX) --recreate -e quality
 
 check-ancient-pip: $(PY273)
 	scripts/check-ancient-pip.sh $(PY273)
@@ -164,44 +163,59 @@
 check-pytest: check-pytest28 check-pytest30
 
 check-faker070: $(TOX)
-	$(TOX) -e faker070
-
-check-faker071: $(TOX)
-	$(TOX) -e faker071
+	$(TOX) --recreate -e faker070
+
+check-faker-latest: $(TOX)
+	$(TOX) --recreate -e faker-latest
 
 check-django18: $(TOX)
-	$(TOX) -e django18
+	$(TOX) --recreate -e django18
 
 check-django110: $(TOX)
-	$(TOX) -e django110
+	$(TOX) --recreate -e django110
 
 check-django111: $(TOX)
-	$(TOX) -e django111
+	$(TOX) --recreate -e django111
 
 check-django: check-django18 check-django110 check-django111
 
+check-pandas18: $(TOX)
+	$(TOX) --recreate -e pandas18
+
+check-pandas19: $(TOX)
+	$(TOX) --recreate -e pandas19
+
+check-pandas20: $(TOX)
+	$(TOX) --recreate -e pandas20
+
+check-pandas21: $(TOX)
+	$(TOX) --recreate -e pandas21
+
 check-examples2: $(TOX) $(PY27)
-	$(TOX) -e examples2
+	$(TOX) --recreate -e examples2
 
 check-examples3: $(TOX)
-	$(TOX) -e examples3
+	$(TOX) --recreate -e examples3
 
 check-coverage: $(TOX)
-	$(TOX) -e coverage
+	$(TOX) --recreate -e coverage
+
+check-pure-tracer: $(TOX)
+	$(TOX) --recreate -e pure-tracer
 
 check-unicode: $(TOX) $(PY27)
-	$(TOX) -e unicode
-
-check-noformat: check-coverage check-py26 check-py27 check-py33 check-py34 check-py35 check-pypy check-django check-pytest
+	$(TOX) --recreate -e unicode
+
+check-noformat: check-coverage check-py26 check-py27 check-py34 check-py35 check-pypy check-django check-pytest
 
 check: check-format check-noformat
 
 check-fast: lint $(PYPY) $(PY36) $(TOX)
-	$(TOX) -e pypy-brief
-	$(TOX) -e py36-prettyquick
+	$(TOX) --recreate -e pypy-brief
+	$(TOX) --recreate -e py36-prettyquick
 
 check-rst: $(RSTLINT) $(FLAKE8)
-	$(RSTLINT) *.rst
+	$(RSTLINT) CONTRIBUTING.rst README.rst
 	$(RSTLINT) guides/*.rst
 	$(FLAKE8) --select=W191,W291,W292,W293,W391 *.rst docs/*.rst
 
@@ -209,11 +223,20 @@
 	$(PIPCOMPILE) requirements/benchmark.in --output-file requirements/benchmark.txt
 	$(PIPCOMPILE) requirements/test.in --output-file requirements/test.txt
 	$(PIPCOMPILE) requirements/tools.in --output-file requirements/tools.txt
+	$(PIPCOMPILE) requirements/typing.in --output-file requirements/typing.txt
+	$(PIPCOMPILE) requirements/coverage.in --output-file requirements/coverage.txt
+
+upgrade-requirements:
+	$(PIPCOMPILE) --upgrade requirements/benchmark.in --output-file requirements/benchmark.txt
+	$(PIPCOMPILE) --upgrade requirements/test.in --output-file requirements/test.txt
+	$(PIPCOMPILE) --upgrade requirements/tools.in --output-file requirements/tools.txt
+	$(PIPCOMPILE) --upgrade requirements/typing.in --output-file requirements/typing.txt
+	$(PIPCOMPILE) --upgrade requirements/coverage.in --output-file requirements/coverage.txt
 
 check-requirements: compile-requirements
 	git diff --exit-code
 
-secret.tar.enc: deploy_key .pypirc
+secrets.tar.enc: deploy_key .pypirc
 	rm -f secrets.tar secrets.tar.enc
 	tar -cf secrets.tar deploy_key .pypirc
 	travis encrypt-file secrets.tar
@@ -268,8 +291,14 @@
 	find src tests -name "*.pyc" -delete
 	find src tests -name "__pycache__" -delete
 
-documentation: $(SPHINX_BUILD) docs/*.rst
-	PYTHONPATH=src $(SPHINX_BUILD) -W -b html -d docs/_build/doctrees docs docs/_build/html
+.PHONY: RELEASE.rst
+RELEASE.rst:
+
+documentation: $(SPHINX_BUILD) docs/*.rst RELEASE.rst
+	scripts/build-documentation.sh $(SPHINX_BUILD) $(PY36)
 
 doctest: $(SPHINX_BUILD) docs/*.rst
 	PYTHONPATH=src $(SPHINX_BUILD) -W -b doctest -d docs/_build/doctrees docs docs/_build/html
+
+fix_doctests: $(TOOL_VIRTUALENV)
+	PYTHONPATH=src $(TOOL_PYTHON) scripts/fix_doctests.py

=== debian/changelog ===
python-hypothesis (3.44.1-2) unstable; urgency=medium

  * Team upload.
  * Add python{,3}-/pypy-attrs and python{,3}-/pypy-coverage to B-D
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * Bump debhelper compat level to 11
  * Move docs to /usr/share/python-hypothesis
  * Install examples
  * Rename lintian override: debian-watch-may-check-gpg-signature
    -> debian-watch-does-not-check-gpg-signature
  * Bump Standards-Version to 4.1.3 (no changes).

 -- Ondřej Nový <onovy@debian.org>  Fri, 16 Feb 2018 11:44:09 +0100

python-hypothesis (3.44.1-1) unstable; urgency=medium

  * New upstream release (closes: #884786).
    - Fix docs reproducibility (closes: #854549).
  * Replace extra priority with optional.
  * Bump Standards-Version to 4.1.2 (no changes).

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 19 Dec 2017 23:04:43 +0200

=== debian/control ===
--- 
+++ 
@@ -6,21 +6,27 @@
  Tristan Seligmann <mithrandi@debian.org>,
  Vincent Bernat <bernat@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  pypy,
+ pypy-attr,
+ pypy-coverage,
  pypy-setuptools,
  python-all,
+ python-attr,
+ python-coverage,
  python-enum34,
  python-setuptools,
  python3-all,
+ python3-attr,
+ python3-coverage,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: https://github.com/DRMacIver/hypothesis
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-hypothesis.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-hypothesis.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-hypothesis.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-hypothesis
 
 Package: python-hypothesis
 Architecture: all
@@ -79,7 +85,6 @@
 Package: python-hypothesis-doc
 Architecture: all
 Section: doc
-Priority: extra
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: advanced Quickcheck style testing library (documentation)
  Hypothesis is a library for testing your Python code against a much

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PYBUILD_NAME=hypothesis
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python2,python3,pypy,sphinxdoc --buildsystem=pybuild
 
 
 override_dh_python3:
